hc-httpclient-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Oleg Kalnichevski <ol...@apache.org>
Subject Re: HttpClient with HttpCore 5.0-alpha4 features?
Date Fri, 29 Sep 2017 09:56:23 GMT
On Fri, 2017-09-29 at 11:15 +0200, Stefan Sobernig wrote:
> Hi,
> > > What is the recommended way to get HttpClient on top of HttpCore
> > > 5.0-alpha4 in my maven setup?
> > > 
> > > - HttpClient 5.0-alpha3 is not (yet) in central? right?
> > 
> > No, it is not
> 
> Ok.
> > > - HttpClient 5.0-alpha2 works with up to HttpCore 5.0-alpha3, but
> > > alpha4
> > > make it break for obvious reasons.
> > > 
> > > I would like to test my HttpClient application with the HttpCore-
> > > alpha4
> > > HTTP/2 goodies.
> > > 
> > 
> > You will have to use HttpClient 5.0-alpha3-SNAPSHOT for now.
> 
> Ok.
> 
> > Alternatively you might want to use HttpCore 5.0-alpha4 directly if
> > you
> > can live without cookies / state management, authentication and
> > automatic redirects.
> 
> You mean, declare explicit dependency on 5.0-alpha4 like so?
> 
>     <dependency>
>       <groupId>org.apache.httpcomponents.core5</groupId>
>       <artifactId>httpcore5</artifactId>
>       <version>5.0-alpha4</version>
>     </dependency>
>     <dependency>
>       <groupId>org.apache.httpcomponents.core5</groupId>
>       <artifactId>httpcore5-h2</artifactId>
>       <version>5.0-alpha4</version>
>     </dependency>
>     <dependency>
>       <groupId>org.apache.httpcomponents.client5</groupId>
>       <artifactId>httpclient5</artifactId>
>       <version>5.0-alpha2</version>
>     </dependency>
> 
> If yes, this only works for 5.0-alpha3, as far as I can tell. With
> alpha4 (as above), I run into:
> 
> > An exception occured while executing the Java class.
> > org/apache/hc/core5/reactor/IOReactorException
> >     at
> > org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecut
> > or.java:213)
> >     at
> > org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecut
> > or.java:154)
> >     at
> > org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecut
> > or.java:146)
> 
> With alpha3, build/run are fine, but with alpha3, I cannot get h2
> (https:// + FORCE_HTTP_2) to run, only h2 (http:// + FORCE_HTTP_2).
> 


You need to use 5.0-alpha3-SNAPSHOT until the official 5.0-alpha3
release. That will automatically pull HttpCore 5.0-alpha4.

<dependency>
   <groupId>org.apache.httpcomponents.client5</groupId>
   <artifactId>httpclient5</artifactId>
   <version>5.0-alpha3-SNAPSHOT</version>
</dependency>

Oleg


---------------------------------------------------------------------
To unsubscribe, e-mail: httpclient-users-unsubscribe@hc.apache.org
For additional commands, e-mail: httpclient-users-help@hc.apache.org


Mime
View raw message